const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Creator reference deleted successfully. No content returned.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -160,
"message": "Uri not found",
"moreInfo": "Uri to Bank card not found",
"errorList": null
}
Query & Update
Delete Creator Reference
Remove the creator reference value from an existing token.
DELETE
/
api
/
payments
/
paycard
/
{token}
/
creatorReference
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Creator reference deleted successfully. No content returned.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -160,
"message": "Uri not found",
"moreInfo": "Uri to Bank card not found",
"errorList": null
}
Update Card Data Guide
Modify expiration dates and creator references on tokens
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
| -1003 | 401 | User is not the owner |
| -125 | 400 | Removing creator reference failed |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The token ID as returned by one of the tokenization methods. For example,
2821a46d80e14d1b96a7f18f1b81926d.const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/creatorReference',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.status_code)
Response
200 - Creator reference removed successfully.Creator reference deleted successfully. No content returned.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -160,
"message": "Uri not found",
"moreInfo": "Uri to Bank card not found",
"errorList": null
}

